package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.TpShopImgMapper;
import com.community.huiju.dao.TpShopMapper;
import com.community.huiju.dao.TpShopTypeMapper;
import com.community.huiju.model.TpShop;
import com.community.huiju.model.TpShopImg;
import com.community.huiju.model.TpShopType;
import com.community.huiju.service.TpShopServicel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/5/10
 **/
@Service("tpShopServicel")
public class TpShopServicelmpl implements TpShopServicel {
    @Autowired
    private TpShopMapper tpShopMapper;

    @Autowired
    private TpShopTypeMapper tpShopTypeMapper;

    @Autowired
    private TpShopImgMapper tpShopImgMapper;
    @Override
    public ResponseBean getShop(UserElement userElement,String houseName,Integer tpShopTypeId) {
        ResponseBean responseBean= new ResponseBean<>();
        List<TpShop> tpShopList= tpShopMapper.selectcommunityIdShop(userElement.getCommunityId(),houseName,tpShopTypeId);
        if (null != tpShopList) {
            for (TpShop tpShop : tpShopList) {
                // 查询当列表图片 2 为aap列表图
                List<TpShopImg> tpShopImgList = tpShopImgMapper.selectShopIdCommunity(userElement.getCommunityId(), tpShop.getId(),2);
                for (TpShopImg tpShopImg:tpShopImgList) {
                    tpShop.setShopImg(tpShopImg.getImgUrl());
                }
            }
        }
        List<TpShopType> tpShopTypeList = tpShopTypeMapper.selectCommunityIdShop(userElement.getCommunityId());
        Map map= new HashMap<>();
        map.put("tpShopTypeList",tpShopTypeList);
        map.put("tpShopList",tpShopList);
        responseBean.addSuccess(map);
        return responseBean;
    }

    @Override
    public ResponseBean getShopDetails(UserElement userElement, Integer id) {
        ResponseBean response= new ResponseBean<>();
        TpShop tpShop = tpShopMapper.selectByPrimaryKey(id);
        // 3是app商铺轮播图
        HashMap hashMap= new HashMap<>();
        List<TpShopImg> tpShopImg= tpShopImgMapper.selectShopIdCommunity(userElement.getCommunityId(),id,3);
        hashMap.put("tpShop",tpShop);
        hashMap.put("tpShopImg",tpShopImg);

        response.addSuccess(hashMap);
        return response;
    }
}
